<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Teilnehmer\HandleAbmeldung;

class HandleAbmeldungController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleAbmeldungUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new HandleAbmeldungRequest();
    $requestObj->belegungIdsToStorno = explode(';', \PostOperations::getVarValue('belIdsToStorno'));
    $requestObj->knr = \GetOperations::getVarValue('tnr');

    $action = $this->getActionVal();

    return $this->handleXsrf($requestObj, $action);
  }

  protected function getPresenter($pUseCaseResponse)
  {
    
    return null;
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new \Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Teilnehmer\TeilnehmerController($pUseCaseResponse->changedBelegungen);
  }
}